#!/bin/sh
call_preupgrade(){
  mount | grep -q '/opt' && return 0

  if [ ! -e /dev/ubi1 ]; then
    ubiattach -m3 # attach opt
  fi

  if [ ! -e "/dev/ubi1_0" ]; then
    ubimkvol /dev/ubi1 -N "opt" -m
  fi

  mkdir /_opt
  mount -t ubifs /dev/ubi1_0 /_opt

  cp -a /opt/* /_opt

  sync
  umount /_opt
}

[ "$INCLUDE_PREUPGRADE" == "1" ] || call_preupgrade


